Subject: Re: Status discussion again RE: [Simple] Test message

From: Paul Kyzivat <[email-masked]>
Date: Tue, 02 Jul 2002 14:32:19 -0400

Sorry - I'm way behind in my mail. 

It still seems to me we are talking past one another. Maybe this comes down to differences about the purpose of presence.

My assumption is that the purpose of presence is to convey willingness to participate in interactive communication. An important subcase of this is when the communication
will be realitime communication initiated via sip - perhaps IM, perhaps voice, perhaps something else.

An important aspect of presence in this regard is determining in advance whether successful communication will be possible. I don't want to call you unless there is a
likelihood that you will answer. Similarly, I don't want to call with voice if all you are willing to do is IM.

If I do send you an invite, we negotiate the kind of communication we are willing to do in common using an exchange of SDP. The media types carried in the SDP don't
explicitly say what applications should be used, but they imply it, because if the invitation is successful, the two ends will be exchanging data in those mime types and
doing something with it. There is nothing else in the invitation to say what will be done. This is true whether the mime type is audio/g711, text/html, image/jpeg or
application/wb.

In the case of audio or image, it is pretty clear what sort of application will be required regardless of the subtype. This is also true to a lesser extent for text. For
application, it is pretty much impossible to figure out what kind of application might be needed, or whether it is available.

So, I think it makes pretty good sense to advertise the mimetype/subtype as part of presence. How much of it is presented to a presence subscriber could be a function of
the UI at the subscriber end.

Frankly, I am not at all convinced that mime types are the best way to describe media in sip, but that is water over the dam.

	Paul

Sean Olson wrote:
> 
> What I mean is that while application/wb may give you a clue as to the
> application,
> text/html, image/jpeg, or even message/sip do not. MIME types are not
> usually
> a good indication of the application that will process that media.
> "voice" is interesting, but as a MIME type would more likely be
> represented as
> the less useful audio/g711, etc.
> 
> If what you want to convey is a list of MIME types, that's fine. I just
> don't want to confuse that with a list of applications. (Of course, MIME
> types
> are best represented with a suitable subtype as you mention)
> 
> By mode, I meant a token that succintly defines an application -- like
> "voice" perhaps.
> But I definitely don't want to get into the game of defining a list of
> codecs ... this
> is much better handled by SIP itself than by a presence document format.
> 
> /sean
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Paul Kyzivat
> Sent: Monday, June 24, 2002 10:23 PM
> To: Sean Olson
> Cc: Ben Campbell; Rosen, Brian; 'Jonathan Rosenberg'; [email-masked];
> 'Li Hua Tang'; 'DAO TRUNG Tin FTRD/DAC/ISS';
> [email-masked]
> Subject: Re: Status discussion again RE: [Simple] Test message
> 
> Sean Olson wrote:
> >
> > Mode seems to make sense. I like the idea
> > of announcing supported MIME types, BUT I think
> > it is very dangerous to infer applications from
> > MIME types (as you hint at for the
> > application/wb case). I see this leading to a
> > rathole. Could we set the bar at just
> > announcing "modes" for now?
> 
> You have to tell me what you mean by "mode" then.
> 
> I don't think of application/wb as an "application" in any specific
> sense. As far as I am concerned, "application" and "voice" are simply
> different subdivisions of the overall mimetype namespace. But "voice" in
> its own right is much more specific than "application" is. I have a
> reasonable chance of deciding if I can support "voice" without more
> detail. (If I can't support the offered codecs then I can probably find
> a transcoder that can convert to something I do understand.)
> 
> But by itself "application" tells me nothing about what I will be
> expected to do. And in general there are no transcoders that can convert
> between application/wb that I support and application/foo that I don't -
> there is no least common denominator between subtypes of application.
> 
> If the bar is set so low that mime subtypes can never be used, then
> presence will not be at all useful for any media that happen to be
> described by subtypes of application.
> 
>         Paul
> _______________________________________________
> simple mailing list
> [email-masked]
> http://mailman.dynamicsoft.com/mailman/listinfo/simple
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple